Bug 522006 - [nouveau] kernel NULL pointer dereference at (null)
Summary: [nouveau] kernel NULL pointer dereference at (null)
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 04:04 UTC by Andreas Gattringer
Modified: 2009-12-04 18:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-04 18:58:45 UTC


Attachments (Terms of Use)
/var/log/messages (98.69 KB, text/plain)
2009-09-09 04:04 UTC, Andreas Gattringer
no flags Details
[PATCH] Don't cleanup flip_list if we didn't initialize it (2.46 KB, text/plain)
2009-09-15 17:04 UTC, Lubomir Rintel
no flags Details

Description Andreas Gattringer 2009-09-09 04:04:18 UTC
Created attachment 360158 [details]
/var/log/messages

Machine locks up as soon X (with nouveau) is started. Black screen, doesn't respond to input, but seems to be still running; /var/log/messages has entries after the oops. (See attached /var/log/messages/) 

kernel-2.6.31-0.204.rc9.fc12.x86_64
xorg-x11-drv-nouveau-0.0.15-7.20090904git2b5ec6a.fc12.x86_64
libdrm-2.4.12-0.9.fc12.x86_64

last working (installed) kernel: 
kernel-2.6.31-0.167.rc6.git6.fc12.x86_64

Comment 1 Lubomir Rintel 2009-09-15 17:04:16 UTC
Created attachment 361115 [details]
[PATCH] Don't cleanup flip_list if we didn't initialize it

I believe this is the same thing as http://www.virtualbox.org/ticket/4734

Attaching the mail I attempted to send some time ago that might be related to this, but I'm not sure if it reached its destination since I'm not that clever with using e-mail...

Comment 2 Ben Skeggs 2009-10-08 04:33:23 UTC
How's the latest kernel?

Comment 3 Bug Zapper 2009-11-16 12:04:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Vedran Miletić 2009-12-04 18:58:45 UTC
Reporter, since this was reported with an rc kernel, and there is a comment #1 suggesting this is likely fixed, I will close this now. Please reopen this if it's still an issue.


Note You need to log in before you can comment on or make changes to this bug.